Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Phan Toàn

[Nhờ Vả] Nhờ Các Bác Sửa Giúp Cái Lisp Thay Đổi Layer.

Các bài được khuyến nghị

Em có sưu tầm được 2 cái lisp thay đổi layer và đổi màu cho đối tượng như thế này. Nhưng nhược điểm là phải chọn hết các đối tượng rồi mới đổi được. Bây giờ em muốn sửa lại theo ý mình là pick đến đâu thay đổi đến đó (giống lệnh MA ý ạ) nhưng chưa biết làm thế nào nên đánh bạo lên đây nhờ các bác ạ!

http://www.cadviet.com/upfiles/6/154272_cl_3.lsp

http://www.cadviet.com/upfiles/6/154272_c1_chuyen_mau_doi_tuong_1.lsp

Cám ơn các bác đã bỏ chút thời gian xem bài!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em có sưu tầm được 2 cái lisp thay đổi layer và đổi màu cho đối tượng như thế này. Nhưng nhược điểm là phải chọn hết các đối tượng rồi mới đổi được. Bây giờ em muốn sửa lại theo ý mình là pick đến đâu thay đổi đến đó (giống lệnh MA ý ạ) nhưng chưa biết làm thế nào nên đánh bạo lên đây nhờ các bác ạ!

http://www.cadviet.com/upfiles/6/154272_cl_3.lsp

http://www.cadviet.com/upfiles/6/154272_c1_chuyen_mau_doi_tuong_1.lsp

Cám ơn các bác đã bỏ chút thời gian xem bài!

Hề hề hề,

Không biết ý bạn có phải thế này không???

Lưu ý là biến tên màu và tên layer bạn phải nhập cho phù hợp với yêu cầu của bạn.

(defun c:cla ()
(while (setq e (car (entsel)))
       (command "change" e "" "p" "la" ten layer "" )
)
)
(defun c:ccl ()
(while (setq e (car(entsel)))
         (command "change" e "" "p" "c" ten mau "" )
)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Gõ lệnh C1. Đổi màu layer.

Mình làm 1 ví dụ thôi.

Bạn xem có đúng ý bạn ko? Và điều nữa là bạn định đổi riêng "Layer" ,riêng  "màu" hay là muốn gộp luôn cả "Layer"+ "Màu"?http://www.cadviet.com/upfiles/6/124641_c1.lsp

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Gõ lệnh C1. Đổi màu layer.

Mình làm 1 ví dụ thôi.

Bạn xem có đúng ý bạn ko? Và điều nữa là bạn định đổi riêng "Layer" ,riêng  "màu" hay là muốn gộp luôn cả "Layer"+ "Màu"?http://www.cadviet.com/upfiles/6/124641_c1.lsp

Hề hề hề,

Hay, có thêm dòng code để nhập tên layer hay tên màu mà người dùng muốn sử dụng. Chủ thớt có thể ghép thêm vô cái lisp của mình.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cám ơn bác góp ý, nhưng lệnh này lại không phù hợp với ý định của em rồi ạ! 

dùng lệnh Laytrans đi bạn

 

Chuẩn ý em luôn ạ, cám ơn bác rất nhiều!

 

Hề hề hề,

Không biết ý bạn có phải thế này không???

Lưu ý là biến tên màu và tên layer bạn phải nhập cho phù hợp với yêu cầu của bạn.

 

 

Cám ơn bác góp ý, nhưng phải nhớ tên layer thế này thì lại lâu thêm ạ, ý em muốn pick đến đâu thì đổi ngay đến đó cho nhanh ấy ạ  :D.

Gõ lệnh C1. Đổi màu layer.

Mình làm 1 ví dụ thôi.

Bạn xem có đúng ý bạn ko? Và điều nữa là bạn định đổi riêng "Layer" ,riêng  "màu" hay là muốn gộp luôn cả "Layer"+ "Màu"?http://www.cadviet.com/upfiles/6/124641_c1.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×